/// <reference types="node" />
import { CachedResponse, ExtendedResponse, Store } from "./types";
import { Queue } from "./utils";
export declare const purgeChunksAfterResponses: (chunkBucket: Store<string | Buffer>, chunkIds: string[]) => Promise<void>;
export declare const sealChunks: ({ requestId, cacheKey, res, log, responseBucket }: {
    requestId: string;
    cacheKey: string;
    res: ExtendedResponse;
    log: {
        (message?: any, ...optionalParams: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    responseBucket: Store<CachedResponse>;
}) => Promise<void>;
export declare const cacheChunk: ({ requestId, chunk, res, cacheKey, defaultMaxAge, log, responseBucket, chunkBucket, chunkQueue }: {
    requestId: string;
    chunk: string | Buffer;
    res: ExtendedResponse;
    cacheKey: string;
    defaultMaxAge: number | undefined;
    log: {
        (message?: any, ...optionalParams: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    responseBucket: Store<CachedResponse>;
    chunkBucket: Store<string | Buffer>;
    chunkQueue: Queue;
}) => Promise<void>;
