import Redis from "ioredis";
import { Store } from "../types";
interface RedisStoreOptions {
    /**
     * An instance of redis or a redis compatible client.
     *
     * Known compatible and tested clients:
     * ioredis
     */
    client: Redis.Redis;
    /**
     * Key prefix in Redis (default: cache).
     *
     * This prefix appends to whatever prefix you may have set on the client itself.
     * Note: You may need unique prefixes for different applications sharing the same Redis instance.
     */
    prefix?: string;
}
export declare const redisStore: (options: RedisStoreOptions) => <T>() => Store<T>;
export {};
